Package de.willuhn.jameica.hbci.passports.pintan

# Class TANDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog
de.willuhn.jameica.hbci.passports.pintan.TANDialog

Direct Known Subclasses:
  `ChipTANDialog`, `DecoupledTANDialog`, `PhotoTANDialog`

public class TANDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog
Dialog für die TAN-Eingabe. Es muss weder Text, noch Titel oder LabelText gesetzt werden. Das ist alles schon drin.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PinTanConfig`
`config`
`protected static final de.willuhn.util.I18N`
`i18n`
`protected static final int`
`WINDOW_HEIGHT`
`protected static final int`
`WINDOW_WIDTH`

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`TANDialog(PinTanConfig config)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extendBottom(de.willuhn.jameica.gui.util.Container c)`
Erweitert den Dialog unten.
`protected void`
`extendTop(de.willuhn.jameica.gui.util.Container c)`
Erweitert den oben..
`HibiscusDBObject`
`getContext()`
Liefert den zugehoerigen Auftrag, insofern ermittelbar.
`protected Object`
`getData()`
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`setContext(HibiscusDBObject context)`
Speichert den zugehoerigen Auftrag, insofern ermittelbar.
`final void`
`setInfoText(de.willuhn.jameica.gui.parts.NotificationPanel.Type type, String text)`
Zeigt einen Hinweis-Text an.
`void`
`setNeedTAN(boolean t)`
Legt fest, ob überhaupt eine TAN benötigt wird.
`void`
`setShowTAN(boolean show)`
Legt fest, ob die TAN angezeigt werden soll.
`final void`
`setTAN(String tan)`
Uebernimmt die TAN manuell.
`void`
`setText(String text)`
Speichert den anzuzeigenden Text.

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

### WINDOW_WIDTH

protected static final int WINDOW_WIDTH

See Also:
  - Constant Field Values

### WINDOW_HEIGHT

protected static final int WINDOW_HEIGHT

See Also:
  - Constant Field Values

### config

protected PinTanConfig config

## Constructor Details

### TANDialog

public TANDialog(PinTanConfig config) throws RemoteException
ct.

Parameters:
  `config` - die PINTAN-Config.
Throws:
  `RemoteException`

## Method Details

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`

### extendBottom

protected void extendBottom(de.willuhn.jameica.gui.util.Container c) throws Exception
Erweitert den Dialog unten.

Parameters:
  `c` - der Container.
Throws:
  `Exception`

### extendTop

protected void extendTop(de.willuhn.jameica.gui.util.Container c) throws Exception
Erweitert den oben..

Parameters:
  `c` - der Container.
Throws:
  `Exception`

### setTAN

public final void setTAN(String tan)
Uebernimmt die TAN manuell.

Parameters:
  `tan` - die TAN.

### setShowTAN

public void setShowTAN(boolean show)
Legt fest, ob die TAN angezeigt werden soll.

Parameters:
  `show` - true, wenn die TAN angezeigt werden soll.

### setNeedTAN

public void setNeedTAN(boolean t)
Legt fest, ob überhaupt eine TAN benötigt wird.

Parameters:
  `t` - true, wenn eine benötigt wird (default=true).

### setInfoText

public final void setInfoText(de.willuhn.jameica.gui.parts.NotificationPanel.Type type, String text)
Zeigt einen Hinweis-Text an.

Parameters:
  `type` - die Darstellungsform.
  `text` - der anzuzeigende Text.

### setContext

public void setContext(HibiscusDBObject context)
Speichert den zugehoerigen Auftrag, insofern ermittelbar.

Parameters:
  `context` - der zugehoerige Auftrag.

### getContext

public HibiscusDBObject getContext()
Liefert den zugehoerigen Auftrag, insofern ermittelbar.

Returns:
  transfer der zugehoerige Auftrag.

### getData

protected Object getData() throws Exception

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.getData()`

### setText

public void setText(String text)
Speichert den anzuzeigenden Text.

Parameters:
  `text` - der anzuzeigende Text.